cURL
curl -X POST https://api.aiql.io/patterns/ptn_6e4c/match \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
job = client.patterns.match("ptn_6e4c")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const job = await client.patterns.match("ptn_6e4c");{
"workflow_id": "<string>",
"run_id": "<string>",
"pattern_id": "<string>",
"workspace_id": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Patterns
Match Pattern
POST
/
patterns
/
{id}
/
match
cURL
curl -X POST https://api.aiql.io/patterns/ptn_6e4c/match \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
job = client.patterns.match("ptn_6e4c")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const job = await client.patterns.match("ptn_6e4c");{
"workflow_id": "<string>",
"run_id": "<string>",
"pattern_id": "<string>",
"workspace_id": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Path Parameters
Body
application/json